title: Default Page
preset: page
fields:
  pageType:
    type: select
    label: type de page
    default: default
    options:
      links: Liens
      default: Standard
      
  Headline:
    label: Headline
    type: text
    size: large
  Subheadline:
    label: Subheadline
    type: text
    size: large
  Layout:
    type: layout
    label: Mise en page
    when:
      pageType: default
    layouts:
      - "1/1"
      - "1/2, 1/2"
      - "1/3, 1/3, 1/3"
      - "1/3, 2/3"
      - "2/3, 1/3"
      - "1/4, 1/4, 1/4, 1/4"
      - "1/4, 1/4, 1/2"
      - "1/4, 1/2, 1/4"
      - "1/2, 1/4, 1/4"
    fieldsets:
      text:
        label: Text
        type: group
        fieldsets:
          - heading
          - text
          - list
      media:
        label: Media
        type: group
        fieldsets:
          - image
          - video

  linkslist:
    label: Liens
    type: structure
    when:
      pageType: links
    fields:
      categorie:
        label: catégorie
        type: text
        width: 1/2
      texte:
        label: lien affiché
        type: text
      url:
        label: Lien
        type: url
      description:
        label: description
        type: text
